@import "~@swimlane/ngx-datatable/index.css";
@import "~@swimlane/ngx-datatable/themes/bootstrap.scss";
@import "~@swimlane/ngx-datatable/themes/material.scss";
@import "~@swimlane/ngx-datatable/themes/dark.scss";
@import "~@swimlane/ngx-datatable/assets/icons.css";

h1 {
  font-size: 4vw;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen,
    Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  font-weight: bold;
}

:host ::ng-deep .ngx-datatable {
  padding: 1vw !important;
  border: 1px !important;
  width: auto !important;
}

:host ::ng-deep .datatable-header {
  border-color: black !important;
  background-color: #709ac2;
  text-align: center;
  vertical-align: middle;
  color: aliceblue;
  font-size: calc(4px + 0.7vw);
  height: 3vh !important;
}

:host ::ng-deep .datatable-body-row {
  border: 10px !important;
  border-color: black !important;
  text-align: center;
  vertical-align: middle;
  color: black;
  font-size: calc(4px + 0.5vw);
}

:host ::ng-deep .datatable-header-cell {
  border: 1px solid #dddddd;
}

.customBtn {
  font-size: calc(4px + 0.5vw);
}
